Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2021528 - jna-5.10.0 is available
Summary: jna-5.10.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jna
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zuzana Miklankova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 873990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-09 14:33 UTC by Upstream Release Monitoring
Modified: 2022-01-12 12:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-12 12:30:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-11-09 14:33:52 UTC
Latest upstream release: 5.10.0
Current version/release in rawhide: 5.9.0-1.fc36
URL: https://github.com/java-native-access/jna/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1464/

Comment 1 Zuzana Miklankova 2021-11-11 12:00:55 UTC
Rebasing jna to v 5.10.0 in Fedora is currently not possible, because it requires libffi >= 3.4. Current version of libffi in Fedoras is 3.1.[26,28,29].

Comment 2 Zuzana Miklankova 2021-11-11 12:51:07 UTC
Build fails at:

native:
     [exec] gcc -W -Wall -Wno-unused -Wno-parentheses -fPIC -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -O2 -fno-omit-frame-pointer -fno-strict-aliasing  -D_REENTRANT -DHAVE_PROTECTION -I"/usr/lib/jvm/java-11-openjdk-11.0.13.0.8-2.fc36.x86_64/include" -I"/usr/lib/jvm/java-11-openjdk-11.0.13.0.8-2.fc36.x86_64/include/linux" -I"/builddir/build/BUILD/jna-5.10.0/build/headers" -I/include -DJNA_JNI_VERSION='"6.1.2"' -DCHECKSUM='"147a998f0cbc89681a1ae6c0dd121629"'  -Wno-unknown-warning-option -Wno-clobbered -Wno-unused-variable -Wno-alloca-larger-than -c dispatch.c -o /builddir/build/BUILD/jna-5.10.0/build/native-linux-x86-64/dispatch.o
     [exec] dispatch.c: In function 'ffi_error':
     [exec] dispatch.c:433:8: error: 'FFI_BAD_ARGTYPE' undeclared (first use in this function)
     [exec]   433 |   case FFI_BAD_ARGTYPE:
     [exec]       |        ^~~~~~~~~~~~~~~
     [exec] dispatch.c:433:8: note: each undeclared identifier is reported only once for each function it appears in
     [exec] dispatch.c: At top level:
     [exec] cc1: note: unrecognized command-line option '-Wno-unknown-warning-option' may have been intended to silence earlier diagnostics
     [exec] make: *** [Makefile:463: /builddir/build/BUILD/jna-5.10.0/build/native-linux-x86-64/dispatch.o] Error 1
BUILD FAILED

And the FFI_BAD_ARGTYPE enum value was introduced just in March 2021 in libffi -> is available in libffi 3.4.

Comment 3 Zuzana Miklankova 2022-01-12 12:30:33 UTC
jna 5.10.0 is available in Fedora Rawhide.


Note You need to log in before you can comment on or make changes to this bug.